[Miles' Blog]

Welcome 2 My Planet

Available categories: [/] [development. ~]

jdk1.5/1.6下xslt时xalan版本问题|xalan version problem in XSLT under jdk1.5(jdk5) & jdk1.6(jdk6) [Permalink]

Sat Aug 11 13:16:38 CST 2007
Category [working on downwap.]

在jdk1.5/1.6下,现有的xslt会失败。

错误类型TransformerConfigurationException,此外还会有org.jdom.IllegalAddException:A DocType cannot be added after the root element
原因:新版jre中的xalan做了更新,产生了兼容性问题。
解决办法:打包时包括jdom1.0/lib下的xalan.jar。

Posted by: miles
Comments [0] |

?
十月 2019
Sun? Mon? Tue? Wed? Thu? Fri? Sat?
  12345
6789101112
13141516171819
20212223242526
2728293031  
       
<  Sep???Today??? Nov  >
<< <   1   > >>

Available categories: [/] [development. ~]

Powered By blojsom?? RSS Feed? RSS2 Feed? RDF Feed

html hits:?3787